summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMikle Kolyada <zlogene@gentoo.org>2020-07-31 19:06:31 +0300
committerMikle Kolyada <zlogene@gentoo.org>2020-07-31 19:07:00 +0300
commit879cf325b6a906fafbf03040cd64de59c727095e (patch)
tree809a9334f0476c8c875854cef22e5a7c344ab1f6 /app-admin
parentsys-libs/binutils-libs: Bump 2.34 to patchlevel 6 (diff)
downloadgentoo-879cf325b6a906fafbf03040cd64de59c727095e.tar.gz
gentoo-879cf325b6a906fafbf03040cd64de59c727095e.tar.bz2
gentoo-879cf325b6a906fafbf03040cd64de59c727095e.zip
app-admin/logrotate: Version bump (v3.17.0)
Package-Manager: Portage-2.3.103, Repoman-2.3.23 Signed-off-by: Mikle Kolyada <zlogene@gentoo.org>
Diffstat (limited to 'app-admin')
-rw-r--r--app-admin/logrotate/Manifest1
-rw-r--r--app-admin/logrotate/logrotate-3.17.0.ebuild101
2 files changed, 102 insertions, 0 deletions
diff --git a/app-admin/logrotate/Manifest b/app-admin/logrotate/Manifest
index 95a51dd7fef..5526a34ad4f 100644
--- a/app-admin/logrotate/Manifest
+++ b/app-admin/logrotate/Manifest
@@ -1,3 +1,4 @@
DIST logrotate-3.14.0.tar.gz 215413 BLAKE2B 7914188922d81b1f8b6c4e493fae71d23bc9e65ebfcb190ebb4287c875af53204cbecb51c2731a3dc57530a30c685c3a626074265d9a2462714ff6ff077ea5ca SHA512 5f584d9be01737960eaffcf43746270a5395486d2161577a9ee3e757cb4dfe5a207c8b1d097181dd413560d76ecc0e3d526f87d1b123a52dc3e5e49d529a5fb5
DIST logrotate-3.15.1.tar.gz 220263 BLAKE2B c164c542a0770965f5193f5816509f566b9afeb82ce8388a184d16c2b3e79aa0ef93be10d477c85f62037f01b3e626ea56d3173ca8cf017b8aa315f2e23b1a2b SHA512 72294607762751fb1aaaca1d62ebd87d109d837d50606176159a5e74782a993123321967b7a6185df6ca9c87a54febb832ac7537ceaa580a895901a995570cd5
DIST logrotate-3.16.0.tar.gz 221904 BLAKE2B 38bfde57e9e055b86d6f25f0dd7c49b5d35865671926b1f8a2bd703ac8b8b2252d40cc29b0e1440309ecf224c747a99a2eab0ea99c86782559bef797f61fadb8 SHA512 2f2e8ebf9349424f529e4cf35e75036dadb00df84feac6b421b5a558ce015c9b1a22586463cba95a0265c104a559dd236764f7e37707975e626e69cc87e963e2
+DIST logrotate-3.17.0.tar.gz 224559 BLAKE2B 6d019bafad6986a0b6264893d36a515db75d746dd590afd26825c01c68e9ccf3c260502a29912d75c069ece8715ae14d3c13d4030f6222187be0e1ca05d60e49 SHA512 ada4415ef68ad97c1415fa0c1ba7bf108621777cd91599bf4f999dea1c1025596543aa00fd579cae4d39315b71c4d8f96a9c9d1178f78be7c523470588ab1d31
diff --git a/app-admin/logrotate/logrotate-3.17.0.ebuild b/app-admin/logrotate/logrotate-3.17.0.ebuild
new file mode 100644
index 00000000000..b63b513c2ef
--- /dev/null
+++ b/app-admin/logrotate/logrotate-3.17.0.ebuild
@@ -0,0 +1,101 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit systemd
+
+DESCRIPTION="Rotates, compresses, and mails system logs"
+HOMEPAGE="https://github.com/logrotate/logrotate"
+SRC_URI="https://github.com/${PN}/${PN}/releases/download/${PV}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+IUSE="acl +cron selinux"
+
+COMMON_DEPEND="
+ >=dev-libs/popt-1.5
+ selinux? ( sys-libs/libselinux )
+ acl? ( virtual/acl )"
+
+DEPEND="${COMMON_DEPEND}
+ >=sys-apps/sed-4"
+
+RDEPEND="${COMMON_DEPEND}
+ selinux? ( sec-policy/selinux-logrotate )
+ cron? ( virtual/cron )"
+
+STATEFILE="/var/lib/misc/logrotate.status"
+OLDSTATEFILE="/var/lib/logrotate.status"
+
+move_old_state_file() {
+ elog "logrotate state file is now located at ${STATEFILE}"
+ elog "See bug #357275"
+ if [[ -e "${OLDSTATEFILE}" ]] ; then
+ elog "Moving your current state file to new location: ${STATEFILE}"
+ mv -n "${OLDSTATEFILE}" "${STATEFILE}" || die
+ fi
+}
+
+install_cron_file() {
+ exeinto /etc/cron.daily
+ newexe "${S}"/examples/logrotate.cron "${PN}"
+}
+
+PATCHES=(
+ "${FILESDIR}/${PN}-3.15.0-ignore-hidden.patch"
+)
+
+src_prepare() {
+ sed -i -e 's#/usr/sbin/logrotate#/usr/bin/logrotate#' "${S}"/examples/logrotate.{cron,service} || die
+ default
+}
+
+src_configure() {
+ econf \
+ $(use_with acl) \
+ $(use_with selinux) \
+ --with-state-file-path="${STATEFILE}"
+}
+
+src_test() {
+ emake test
+}
+
+src_install() {
+ insinto /usr
+ dobin logrotate
+ doman logrotate.8
+ dodoc ChangeLog.md
+
+ insinto /etc
+ doins "${FILESDIR}"/logrotate.conf
+
+ use cron && install_cron_file
+
+ systemd_dounit examples/logrotate.{service,timer}
+ systemd_newtmpfilesd "${FILESDIR}/${PN}.tmpfiles" "${PN}".conf
+
+ keepdir /etc/logrotate.d
+}
+
+pkg_postinst() {
+ elog
+ elog "The ${PN} binary is now installed under /usr/bin. Please"
+ elog "update your links"
+ elog
+ move_old_state_file
+ elog "If you are running systemd you might need to run:"
+ elog "systemd-tmpfiles --create /usr/lib/tmpfiles.d/logrotate.conf"
+ elog "in order to create the new location of the logrotate state file"
+ elog
+ if [[ -z ${REPLACING_VERSIONS} ]] ; then
+ elog "If you wish to have logrotate e-mail you updates, please"
+ elog "emerge virtual/mailx and configure logrotate in"
+ elog "/etc/logrotate.conf appropriately"
+ elog
+ elog "Additionally, /etc/logrotate.conf may need to be modified"
+ elog "for your particular needs. See man logrotate for details."
+ fi
+}